﻿using DevExpress.XtraGrid;
using DevExpress.XtraGrid.Views.BandedGrid;

namespace TestProject
{
    /// <summary>
    /// DS 밴드 그리드 뷰
    /// </summary>
    public class DSBandedGridView : BandedGridView
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 뷰 명칭 - ViewName

        /// <summary>
        /// 뷰 명칭
        /// </summary>
        protected override string ViewName
        {
            get
            {
                return "DSBandedGridView";
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - DSBandedGridView()

        /// <summary>
        /// 생성자
        /// </summary>
        public DSBandedGridView() : this(null)
        {
        }

        #endregion
        #region 생성자 - DSBandedGridView(gridControl)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="gridControl">그리드 컨트롤</param>
        public DSBandedGridView(GridControl gridControl) : base(gridControl)
        {
        }

        #endregion
    }
}