﻿using System.Drawing;

using DevExpress.XtraGrid.Views.Grid;
using DevExpress.XtraGrid.Views.Grid.ViewInfo;

namespace TestProject
{
    /// <summary>
    /// DS 그리드 뷰 정보
    /// </summary>
    public class DSGridViewInfo : GridViewInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - DSGridViewInfo(gridView)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="gridView">그리드 뷰</param>
        public DSGridViewInfo(GridView gridView) : base(gridView)
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 행 높이 계산하기 - CalcRowHeight(graphics, rowHandle, minimumHeight, level, useCache, gridColumnsInfo)

        /// <summary>
        /// 행 높이 계산하기
        /// </summary>
        /// <param name="graphics">그래픽스</param>
        /// <param name="rowHandle">행 핸들</param>
        /// <param name="minimumHeight">최소 높이</param>
        /// <param name="level">레벨</param>
        /// <param name="useCache">캐시 사용 여부</param>
        /// <param name="gridColumnsInfo">그리드 컬럼 정보</param>
        /// <returns>행 높이</returns>
        public override int CalcRowHeight(Graphics graphics, int rowHandle, int minimumHeight, int level, bool useCache, GridColumnsInfo gridColumnsInfo)
        {
            return base.CalcRowHeight(graphics, rowHandle, minimumHeight, level, useCache, gridColumnsInfo);
        }

        #endregion
    }
}